use crate::sql_users::GetRefreshTokenByIdErr;

#[derive(Debug)]
pub enum JointErr {
    SqlxError(sqlx::Error),
    ReqwestError(reqwest::Error),
    Empty,
}
impl From<sqlx::Error> for JointErr {
    fn from(value: sqlx::Error) -> Self {
        JointErr::SqlxError(value)
    }
}
impl From<reqwest::Error> for JointErr {
    fn from(value: reqwest::Error) -> Self {
        JointErr::ReqwestError(value)
    }
}
impl From<GetRefreshTokenByIdErr> for JointErr {
    fn from(value: GetRefreshTokenByIdErr) -> Self {
        match value {
            GetRefreshTokenByIdErr::SqlxError(e) => e.into(),
            GetRefreshTokenByIdErr::Empty => JointErr::Empty,
        }
    }
}
